Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/instance_old_hillsbrad.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/instance_old_hillsbrad.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/instance_old_hillsbrad.cpp (revision 260)
@@ -175,4 +175,4 @@
     newscript->Name = "instance_old_hillsbrad";
     newscript->GetInstanceData = GetInstanceData_instance_old_hillsbrad;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_epoch_hunter.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_epoch_hunter.cpp (revision 125)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_epoch_hunter.cpp (revision 260)
@@ -147,4 +147,4 @@
     newscript->Name="boss_epoch_hunter";
     newscript->GetAI = GetAI_boss_epoch_hunter;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_leutenant_drake.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_leutenant_drake.cpp (revision 239)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/old_hillsbrad/boss_leutenant_drake.cpp (revision 260)
@@ -195,9 +195,9 @@
     newscript->Name="go_barrel_old_hillsbrad";
     newscript->pGOHello = &GOHello_go_barrel_old_hillsbrad;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_lieutenant_drake";
     newscript->GetAI = GetAI_boss_lieutenant_drake;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/boss_archimonde.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/boss_archimonde.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/boss_archimonde.cpp (revision 260)
@@ -770,19 +770,19 @@
     newscript->Name="boss_archimonde";
     newscript->GetAI = GetAI_boss_archimonde;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_doomfire";
     newscript->GetAI = GetAI_mob_doomfire;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_doomfire_targetting";
     newscript->GetAI = GetAI_mob_doomfire_targetting;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_ancient_wisp";
     newscript->GetAI = GetAI_mob_ancient_wisp;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/hyjal.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/hyjal.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/hyjal.cpp (revision 260)
@@ -201,5 +201,5 @@
     newscript->pGossipHello = &GossipHello_npc_jaina_proudmoore;
     newscript->pGossipSelect = &GossipSelect_npc_jaina_proudmoore;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -208,5 +208,5 @@
     newscript->pGossipHello = &GossipHello_npc_thrall;
     newscript->pGossipSelect = &GossipSelect_npc_thrall;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -214,4 +214,4 @@
     newscript->pGossipHello = &GossipHello_npc_tyrande_whisperwind;
     newscript->pGossipSelect = &GossipSelect_npc_tyrande_whisperwind;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/instance_hyjal.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/instance_hyjal.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/caverns_of_time/hyjal/instance_hyjal.cpp (revision 260)
@@ -200,4 +200,4 @@
     newscript->Name = "instance_hyjal";
     newscript->GetInstanceData = GetInstanceData_instance_mount_hyjal;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/burning_steppes/burning_steppes.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/burning_steppes/burning_steppes.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/burning_steppes/burning_steppes.cpp (revision 260)
@@ -148,4 +148,4 @@
     newscript->pGossipHello =  &GossipHello_npc_ragged_john;
     newscript->pGossipSelect = &GossipSelect_npc_ragged_john;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/alterac_mountains/alterac_mountains.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/alterac_mountains/alterac_mountains.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/alterac_mountains/alterac_mountains.cpp (revision 260)
@@ -59,4 +59,4 @@
     newscript->Name="npc_ravenholdt";
     newscript->GetAI = GetAI_npc_ravenholdt;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/nagrand/nagrand.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/nagrand/nagrand.cpp (revision 204)
+++ /trunk/src/bindings/scripts/scripts/zone/nagrand/nagrand.cpp (revision 260)
@@ -632,5 +632,5 @@
     newscript->Name="mob_shattered_rumbler";
     newscript->GetAI = GetAI_mob_shattered_rumbler;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -639,10 +639,10 @@
     newscript->pGossipHello =  &GossipHello_mob_lump;
     newscript->pGossipSelect = &GossipSelect_mob_lump;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_sunspring_villager";
     newscript->GetAI = GetAI_mob_sunspring_villager;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -651,5 +651,5 @@
     newscript->pGossipSelect = &GossipSelect_npc_altruis_the_sufferer;
     newscript->pQuestAccept =  &QuestAccept_npc_altruis_the_sufferer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -657,5 +657,5 @@
     newscript->pGossipHello =  &GossipHello_npc_greatmother_geyah;
     newscript->pGossipSelect = &GossipSelect_npc_greatmother_geyah;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -663,14 +663,14 @@
     newscript->pGossipHello =  &GossipHello_npc_lantresor_of_the_blade;
     newscript->pGossipSelect = &GossipSelect_npc_lantresor_of_the_blade;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_creditmarker_visit_with_ancestors";
     newscript->GetAI = GetAI_npc_creditmarker_visit_with_ancestors;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_sparrowhawk";
     newscript->GetAI = GetAI_mob_sparrowhawk;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/eastern_plaguelands/eastern_plaguelands.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/eastern_plaguelands/eastern_plaguelands.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/eastern_plaguelands/eastern_plaguelands.cpp (revision 260)
@@ -159,5 +159,5 @@
     newscript->Name="mobs_ghoul_flayer";
     newscript->GetAI = GetAI_mobs_ghoul_flayer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -165,5 +165,5 @@
     newscript->pGossipHello = &GossipHello_npc_augustus_the_touched;
     newscript->pGossipSelect = &GossipSelect_npc_augustus_the_touched;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -171,5 +171,5 @@
     newscript->GetAI = GetAI_npc_darrowshire_spirit;
     newscript->pGossipHello = &GossipHello_npc_darrowshire_spirit;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -177,4 +177,4 @@
     newscript->pGossipHello =  &GossipHello_npc_tirion_fordring;
     newscript->pGossipSelect = &GossipSelect_npc_tirion_fordring;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/shadowfang_keep/shadowfang_keep.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/shadowfang_keep/shadowfang_keep.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/shadowfang_keep/shadowfang_keep.cpp (revision 260)
@@ -114,4 +114,4 @@
     newscript->pGossipSelect = &GossipSelect_npc_shadowfang_prisoner;
     newscript->GetAI = GetAI_npc_shadowfang_prisoner;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/shadowfang_keep/instance_shadowfang_keep.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/shadowfang_keep/instance_shadowfang_keep.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/shadowfang_keep/instance_shadowfang_keep.cpp (revision 260)
@@ -149,4 +149,4 @@
     newscript->Name = "instance_shadowfang_keep";
     newscript->GetInstanceData = GetInstanceData_instance_shadowfang_keep;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/boss_gruul.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/boss_gruul.cpp (revision 158)
+++ /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/boss_gruul.cpp (revision 260)
@@ -301,4 +301,4 @@
     newscript->Name="boss_gruul";
     newscript->GetAI = GetAI_boss_gruul;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/boss_high_king_maulgar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/boss_high_king_maulgar.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/boss_high_king_maulgar.cpp (revision 260)
@@ -818,24 +818,24 @@
     newscript->Name="boss_high_king_maulgar";
     newscript->GetAI = GetAI_boss_high_king_maulgar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_kiggler_the_crazed";
     newscript->GetAI = GetAI_boss_kiggler_the_crazed;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_blindeye_the_seer";
     newscript->GetAI = GetAI_boss_blindeye_the_seer;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_olm_the_summoner";
     newscript->GetAI = GetAI_boss_olm_the_summoner;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_krosh_firehand";
     newscript->GetAI = GetAI_boss_krosh_firehand;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/instance_gruuls_lair.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/instance_gruuls_lair.cpp (revision 98)
+++ /trunk/src/bindings/scripts/scripts/zone/gruuls_lair/instance_gruuls_lair.cpp (revision 260)
@@ -185,4 +185,4 @@
     newscript->Name = "instance_gruuls_lair";
     newscript->GetInstanceData = GetInstanceData_instance_gruuls_lair;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/bloodmyst_isle/bloodmyst_isle.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/bloodmyst_isle/bloodmyst_isle.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/bloodmyst_isle/bloodmyst_isle.cpp (revision 260)
@@ -132,5 +132,5 @@
     newscript->Name="mob_webbed_creature";
     newscript->GetAI = GetAI_mob_webbed_creature;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -138,4 +138,4 @@
     newscript->pGossipHello =  &GossipHello_npc_captured_sunhawk_agent;
     newscript->pGossipSelect = &GossipSelect_npc_captured_sunhawk_agent;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/winterspring/winterspring.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/winterspring/winterspring.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/winterspring/winterspring.cpp (revision 260)
@@ -142,5 +142,5 @@
     newscript->pGossipHello =  &GossipHello_npc_lorax;
     newscript->pGossipSelect = &GossipSelect_npc_lorax;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -148,5 +148,5 @@
     newscript->pGossipHello =  &GossipHello_npc_rivern_frostwind;
     newscript->pGossipSelect = &GossipSelect_npc_rivern_frostwind;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -154,4 +154,4 @@
     newscript->pGossipHello =  &GossipHello_npc_witch_doctor_mauari;
     newscript->pGossipSelect = &GossipSelect_npc_witch_doctor_mauari;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/barrens/the_barrens.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/barrens/the_barrens.cpp (revision 92)
+++ /trunk/src/bindings/scripts/scripts/zone/barrens/the_barrens.cpp (revision 260)
@@ -370,5 +370,5 @@
     newscript->pGossipHello = &GossipHello_npc_beaten_corpse;
     newscript->pGossipSelect = &GossipSelect_npc_beaten_corpse;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -376,5 +376,5 @@
     newscript->pGossipHello = &GossipHello_npc_sputtervalve;
     newscript->pGossipSelect = &GossipSelect_npc_sputtervalve;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -382,9 +382,9 @@
     newscript->GetAI = GetAI_npc_taskmaster_fizzule;
     newscript->pReceiveEmote = &ReciveEmote_npc_taskmaster_fizzule;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_twiggy_flathead";
     newscript->GetAI = GetAI_npc_twiggy_flathead;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/tirisfal_glades/tirisfal_glades.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/tirisfal_glades/tirisfal_glades.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/tirisfal_glades/tirisfal_glades.cpp (revision 260)
@@ -85,4 +85,4 @@
     newscript->GetAI = GetAI_npc_calvin_montague;
     newscript->pQuestAccept = &QuestAccept_npc_calvin_montague;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/silvermoon/silvermoon_city.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/silvermoon/silvermoon_city.cpp (revision 101)
+++ /trunk/src/bindings/scripts/scripts/zone/silvermoon/silvermoon_city.cpp (revision 260)
@@ -100,4 +100,4 @@
     newscript->Name="npc_blood_knight_stillblade";
     newscript->GetAI = GetAI_npc_blood_knight_stillblade;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_interrogator_vishas.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_interrogator_vishas.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_interrogator_vishas.cpp (revision 260)
@@ -110,4 +110,4 @@
     newscript->Name="boss_interrogator_vishas";
     newscript->GetAI = GetAI_boss_interrogator_vishas;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_azshir_the_sleepless.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_azshir_the_sleepless.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_azshir_the_sleepless.cpp (revision 260)
@@ -94,4 +94,4 @@
     newscript->Name="boss_azshir_the_sleepless";
     newscript->GetAI = GetAI_boss_azshir_the_sleepless;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_houndmaster_loksey.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_houndmaster_loksey.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_houndmaster_loksey.cpp (revision 260)
@@ -75,4 +75,4 @@
     newscript->Name="boss_houndmaster_loksey";
     newscript->GetAI = GetAI_boss_houndmaster_loksey;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_bloodmage_thalnos.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_bloodmage_thalnos.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_bloodmage_thalnos.cpp (revision 260)
@@ -133,4 +133,4 @@
     newscript->Name="boss_bloodmage_thalnos";
     newscript->GetAI = GetAI_boss_bloodmage_thalnos;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_herod.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_herod.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_herod.cpp (revision 260)
@@ -194,4 +194,4 @@
     newscript->Name="boss_herod";
     newscript->GetAI = GetAI_boss_herod;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_scarlet_commander_mograine.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_scarlet_commander_mograine.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_scarlet_commander_mograine.cpp (revision 260)
@@ -157,4 +157,4 @@
     newscript->Name="boss_scarlet_commander_mograine";
     newscript->GetAI = GetAI_boss_scarlet_commander_mograine;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_scorn.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_scorn.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_scorn.cpp (revision 260)
@@ -97,4 +97,4 @@
     newscript->Name="boss_scorn";
     newscript->GetAI = GetAI_boss_scorn;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_arcanist_doan.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_arcanist_doan.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_arcanist_doan.cpp (revision 260)
@@ -168,4 +168,4 @@
     newscript->Name="boss_arcanist_doan";
     newscript->GetAI = GetAI_boss_arcanist_doan;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_high_inquisitor_fairbanks.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_high_inquisitor_fairbanks.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_high_inquisitor_fairbanks.cpp (revision 260)
@@ -129,4 +129,4 @@
     newscript->Name="boss_high_inquisitor_fairbanks";
     newscript->GetAI = GetAI_boss_high_inquisitor_fairbanks;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_high_inquisitor_whitemane.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_high_inquisitor_whitemane.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scarlet_monastery/boss_high_inquisitor_whitemane.cpp (revision 260)
@@ -174,4 +174,4 @@
     newscript->Name="boss_high_inquisitor_whitemane";
     newscript->GetAI = GetAI_boss_high_inquisitor_whitemane;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_shade_of_aran.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_shade_of_aran.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_shade_of_aran.cpp (revision 260)
@@ -655,19 +655,19 @@
     newscript->Name="boss_shade_of_aran";
     newscript->GetAI = GetAI_boss_aran;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_shadow_of_aran";
     newscript->GetAI = GetAI_shadow_of_aran;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_aran_elemental";
     newscript->GetAI = GetAI_water_elemental;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     //newscript = new Script;
     //newscript->Name="mob_aran_blizzard";
     //newscript->GetAI = GetAI_boss_aran;
-    //m_scripts[nrscripts++] = newscript;
+    //newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/karazhan.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/karazhan.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/karazhan.cpp (revision 260)
@@ -461,5 +461,5 @@
     newscript->pGossipHello = GossipHello_npc_barnes;
     newscript->pGossipSelect = GossipSelect_npc_barnes;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -467,4 +467,4 @@
     newscript->pGossipHello = GossipHello_npc_berthold;
     newscript->pGossipSelect = GossipSelect_npc_berthold;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_terestian_illhoof.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_terestian_illhoof.cpp (revision 109)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_terestian_illhoof.cpp (revision 260)
@@ -437,19 +437,19 @@
     newscript->Name="boss_terestian_illhoof";
     newscript->GetAI = GetAI_boss_terestian_illhoof;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_karazhan_imp";
     newscript->GetAI = GetAI_mob_karazhan_imp;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_kilrek";
     newscript->GetAI = GetAI_mob_kilrek;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name = "mob_demon_chain";
     newscript->GetAI = GetAI_mob_demon_chain;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/instance_karazhan.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/instance_karazhan.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/instance_karazhan.cpp (revision 260)
@@ -250,4 +250,4 @@
     newscript->Name = "instance_karazhan";
     newscript->GetInstanceData = GetInstanceData_instance_karazhan;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/bosses_opera.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/bosses_opera.cpp (revision 109)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/bosses_opera.cpp (revision 260)
@@ -1415,35 +1415,35 @@
     newscript->GetAI = GetAI_boss_dorothee;
     newscript->Name = "boss_dorothee";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->GetAI = GetAI_boss_strawman;
     newscript->Name = "boss_strawman";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->GetAI = GetAI_boss_tinhead;
     newscript->Name = "boss_tinhead";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->GetAI = GetAI_boss_roar;
     newscript->Name = "boss_roar";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->GetAI = GetAI_boss_crone;
     newscript->Name = "boss_crone";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->GetAI = GetAI_mob_tito;
     newscript->Name = "mob_tito";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->GetAI = GetAI_mob_cyclone;
     newscript->Name = "mob_cyclone";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     // Hood
@@ -1452,10 +1452,10 @@
     newscript->pGossipSelect = GossipSelect_npc_grandmother;
     newscript->Name = "npc_grandmother";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->GetAI = GetAI_boss_bigbadwolf;
     newscript->Name = "boss_bigbadwolf";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     // Romeo And Juliet
@@ -1463,9 +1463,9 @@
     newscript->GetAI = GetAI_boss_julianne;
     newscript->Name = "boss_julianne";
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->GetAI = GetAI_boss_romulo;
     newscript->Name = "boss_romulo";
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_curator.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_curator.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_curator.cpp (revision 260)
@@ -197,4 +197,4 @@
     newscript->Name="boss_curator";
     newscript->GetAI = GetAI_boss_curator;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_maiden_of_virtue.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_maiden_of_virtue.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_maiden_of_virtue.cpp (revision 260)
@@ -180,4 +180,4 @@
     newscript->Name="boss_maiden_of_virtue";
     newscript->GetAI = GetAI_boss_maiden_of_virtue;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_midnight.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_midnight.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/karazhan/boss_midnight.cpp (revision 260)
@@ -363,9 +363,9 @@
     newscript->Name="boss_attumen";
     newscript->GetAI = GetAI_boss_attumen;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_midnight";
     newscript->GetAI = GetAI_boss_midnight;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
